# MC-TINTING
```$xslt
一款可扩展的代码高亮插件，目前仅扩展有前端代码语言（HTML+JS+CSS+SASS）；如需其它语言高亮可联系我。
```

#### 索引
* [演示](#演示)
* [参数](#参数)
* [示例](#示例)
* [版本](#版本)
* [反馈](#反馈)


#### 演示
[http://fekit.asnowsoft.com/plugins/mc-tinting/](http://fekit.asnowsoft.com/plugins/mc-tinting/)


#### 开始

下载项目: 

```npm
npm i mc-tinting
```

#### 参数
```$xslt
 {
   el          指定需要语法高亮的DOM节点
   theme       指定主题
 }
```

#### 示例

```javascript
// 代码着色插件
import McTinting from 'mc-tinting';

// 新建立一个默认的代码着色实例,所有pre标签代码高亮
new McTinting({
  theme: 'default'
});

// 新建立一个默认的代码着色实例,选择器".aaa"的元素代码高亮
new McTinting({
  el:'.aaa',
  theme: 'github'
});
```

#### 版本
```$xslt
v1.1.1 [Latest version]
1. 新增一款主题chrome
2. 优化了一些主题样式
3. 细化了一些高亮类型
```

```$xslt
v1.1.0
1. 修复html语言<!DOCTYPE html>忘记高亮处理的BUG
2. 优化主题样式
```

```$xslt
v1.0.5
1. 非核心更新，编写文档
```

```$xslt
...
```

```$xslt
v1.0.1
1. 此版本精简了代码，取消了onshow和onhide，回调合并为一个then，可以通赤then回调的传参来判断是显示还是消失及其它一些操作。
```

#### 反馈
```$xslt
如果您在使用中遇到问题，请通过以下方式联系我。
QQ: 860065202
EMAIL: xiaojunbo@126.com
```
